# Läuferkarten

Läuferkarten dienen dazu [Trackscans](./scans) für [Läufer:innen](./runners) durch [Scannerstationen](./scanstations) zu erzeugen
Läuferkarten können entweder fest zu einer Läufer:in gehören, oder als Blankokarten genutzt werden, die frei beliebigen Läufer:innen zugewiesen werden können.
## Anlegen
Du kannst Läuferkarten entweder manuell anlegen oder automatisch von System generieren lassen.
Auch Blankokarten kannst du beliebig viele vom System generieren lassen.

### Manuel anlegen
Um eine neue Läuferkarte anzulegen öffne im Läufersystem die Seite `Läuferkarten`.
Über den Button `Karte erstellen` kannst du eine neue Läuferkarte erstellen.
Hier kannst du eine Läuferin auswählen (musst es aber nicht). 
Sobald du alles angegeben hast kannst du mit dem Button `Erstellen` die Läuferkarte anlegen.

### Blankokarten generieren
Um neue Blankokarten anzulegen öffne im Läufersystem die Seite `Läuferkarten`.
Über den Button `Blankokarten erstellen` kannst du neue Blankokarten erstellen.
Hier kannst du auswählen, wie viele Karten generiert werden sollen.
Sobald du alles angegeben hast kannst du mit dem Button `Erstellen` die Blankokarten generieren.

### Für Läufer:innen

In der Läuferübersicht kannst du beliebig viele Läufer:innen auswählen (oder alle über den Button `Alle Auswählen`).
Daraufhin erscheint über der Läuferliste der Button `Läuferkarten generieren`.
Sobald du ihn anklickst kannst du die Sprache für die Läuferkarten PDFs auswählen.
Daraufhin werden die Läuferkarten angelegt, die PDFs generiert und heruntergeladen.

### Für Teams

#### Für Teams in der Teamübersicht
In der Teamübersicht kannst du beliebig viele Teams auswählen (oder alle über den Button `Alle Auswählen`).
Daraufhin erscheint über der Teamliste der Button `Läuferkarten generieren`.
Sobald du ihn anklickst kannst du die Sprache für die Läuferkarten PDFs auswählen.
Daraufhin werden die Läuferkarten für alle Läufer:innen der Teams angelegt, die PDFs generiert und heruntergeladen.

#### Für einzelne Teams in der Teamdetailansicht
Um Läuferkarten für alle Läufer:innen eines einzelne Teams zu generieren kannst du in der Teamübersicht den Button `Details` für das gewünschte Team anklicken.
Dann kannst du auf der Detailansicht einfach den Button `Läuferkarten generieren` anklicken und die gewünschte Sprache auswählen - daraufhin werden die Läuferkarten generiert und heruntergeladen.

### Für Organisationen

#### Für Organisationen in der Organisationsübersicht
In der Organisationsübersicht kannst du beliebig viele Organisationen auswählen (oder alle über den Button `Alle Auswählen`).
Daraufhin erscheint über der Organisationsliste der Button `Läuferkarten generieren`.
Sobald du ihn anklickst kannst du die Sprache für die Läuferkarten PDFs auswählen.
Daraufhin werden die Läuferkarten für alle Läufer:innen der Organisation (inkl. Teams) angelegt, die PDFs generiert und heruntergeladen.

#### Für einzelne Organisationen in der Teamdetailansicht
Um Läuferkarten für alle Läufer:innen einer einzelnen Organisation (inklusive ihrer Teams) zu generieren kannst du in der Organisationsübersicht den Button `Details` für die gewünschte Organisation anklicken.
Dann kannst du auf der Detailansicht einfach den Button `Läuferkarten generieren` anklicken und die gewünschte Sprache auswählen - daraufhin werden die Läuferkarten generiert und heruntergeladen.

## Bearbeiten
Um eine Läuferkarte zu bearbeiten öffne im Läufersystem die Seite `Läuferkarten`.
In der Läuferkartenübersicht kannst du den Button `Details` für die gewünschte Läuferkarte anklicken.
Nun kannst du die Karte einer anderen Läufer:in zuordnen oder sie deaktivieren.
Sobald du alles angepasst hast kannst du mit dem Button `Änderungen speichern` die Änderungen übernehmen.

## Löschen
Um eine Läuferkarte zu bearbeiten öffne im Läufersystem die Seite `Läuferkarten`.
In der Läuferkartenübersicht kannst du den Button `Löschen` für die gewünschte Läuferkarte anklicken.
Daraufhin wirst du gefragt, ob du die Karte wirklich löschen oder abbrechen willst.