# Sponsorings

Sponsorings können entweder Festbetragsspenden oder Kilometerspenden sein.
Kilometerspenden verbinden [Läufer:innen](./runners) mit [Sponsor:innen](./donors), die einen festen Betrag pro zurückgelegtem Kilometer der Läufer:in spenden.

## Anlegen
Um ein neues Sponsoring anzulegen öffne im Läufersystem die Seite `Sponsorings`.
Über den Button `Sponsoring erstellen` kannst du ein neues Sponsoring anlegen.

Als erstes kannst du auswählen, ob du ein (Kilometer)Sponsoring oder eine Festbetragsspende erstellen möchtest.
Dann musst du die Sponsor:in auswählen.

### Sponsoring (Kilometerspende)
Für Kilometerspenden musst du nun eine Läufer:in auswählen und angeben, wie viele Euro die Sponsor:in pro gelaufenem Kilometer der Läufer:in spenden möchte.
Sobald du alles angegeben hast kannst du mit dem Button `Erstellen` das Sponsoring anlegen.

### Festbetragsspende
Für Festbetragsspenden musst du nun den Spendenbetrag in Euro angeben.
Sobald du alles angegeben hast kannst du mit dem Button `Erstellen` die Festbetragsspende anlegen.

## Bearbeiten
Um ein Sponsoring zu bearbeiten kannst du in der Sponsoringübersicht den Button `Details` für das gewünschte Sponsoring anklicken.
Hier siehst du den Gesamtbetrag (bei Kilometerspenden hochgerechnet) des Sponsoring und kannst die Sponsor:in ändern.

### Sponsoring (Kilometerspende)
Für Kilometerspenden kannst du zusätzlich die Läufer:in und den Spendenbetrag pro gelaufenem Kilometer anpassen.
Sobald du alles angepasst hast kannst du mit dem Button `Änderungen speichern` die Änderungen übernehmen.

### Festbetragsspende
Für Festbetragsspenden kannst du zusätzlich den Spendenbetrag anpassen.
Sobald du alles angepasst hast kannst du mit dem Button `Änderungen speichern` die Änderungen übernehmen.

## Löschen
> Du kannst ein Sponsoring entweder aus der Sponsoringübersicht oder der Sponsoringdetailansicht löschen.

### In der Sponsoringübersicht
Klick bei dem gewünschten Sponsoring auf den Button `Löschen`.
Daraufhin wirst du gefragt, ob du das Sponsoring wirklich löschen oder abbrechen willst.

### In der Sponsoringdetailansicht
Klick bei dem gewünschten Sponsoring auf den Button `Details`.
Oben auf der Seite gibt es jetzt den Knopf `Sponsoring löschen`.
Daraufhin wirst du gefragt, ob du das Sponsoring wirklich löschen oder abbrechen willst.