# Scannerstationen

Scannerstationen sind erstellen Scans für Läuferkarten auf [Tracks](./tracks).
Die Scannerstationen sind in realen Welt üblicherweise Laptops mit Barcode-Scannern und einer speziellen Software.

Die Scannerstationen im Läufersystem dienen dazu die "realen" Scannerstationen anzumelden und einem Track zuzuweisen.
Dieser Teil der Dokumentation befasst sich nur mit den Scannerstationen im Läufersystem!

## Anlegen
> Bevor du eine Scannerstation anlegen kannst musst du erst einen [Track](./tracks) anlegen, zu dem sie gehört.
> Du bekommst beim Erstellen einer Scanenrstation einen Token (Code/Key) für diese - bewahre ihn gut auf!

Um eine neue Scannerstation anzulegen öffne im Läufersystem die Seite `Scannerstationen`.
Über den Button `Station erstellen` kannst du eine neue Scanerstation erstellen.
Dabei musst du die Station einem Track zuweisen und kannst du der Station eine Beschreibung geben und sie deaktiveren.
Wenn du fertig bist kannst du einfach auf den Button `Erstellen` klicken.

Nachdem die Scannerstation im System erstellt wurde bekommst du ihren Token angezeigt.
Dieser Token wird nur einmal angezeigt und kann nicht geändert werden - bewahre ihn also gut auf!
Du kannst auf den Token oder den kopieren Button klicken, um den Token in deine Zwischenablage zu kopieren.
Wenn du den Token sicher gespeichert hast kannst du den Dialog über den Button `Ja, ich habe den Token kopiert` schließen.

## Bearbeiten
Um eine Scannerstation zu bearbeiten kannst du in der Scannerstationsübersicht den Button `Details` für die gewünschte Scannerstation anklicken.
In der Übersicht für diese Scannerstation kannst du nun den Track und die Beschreibung der Scannerstation ändern und sie (de)aktivieren.
Wenn du fertig bist klick einfach auf `Änderungen speichern`.

## Löschen
> Du kannst eine Scannerstation entweder aus der Scannerstationsübersicht oder der Scannerstationsdetailansicht löschen.

### In der Scannerstationsübersicht
Klick bei der gewünschten Scannerstation auf den Button `Löschen`.
Daraufhin wirst du gefragt, ob du die Scannerstation wirklich löschen oder abbrechen willst.

### In der Scannerstationsdetailansicht
Klick bei der gewünschten Scannerstation auf den Button `Details`.
Oben auf der Seite gibt es jetzt den Knopf `Station löschen`.
Daraufhin wirst du gefragt, ob du die Scannerstation wirklich löschen oder abbrechen willst.

### Scannerstation mit Scans
> Achtung: Wir empfehlen Stationen mit Scans nie zu löschen sondern einfach zu deaktivieren!
Sollte die Scannerstation noch assoziierte Scans haben geht nach dem Bestätigen der Löschung nochmal eine Warnung auf.
Hier musst du nochmal die Löschung inklusive aller Scans bestätigen, alternativ kannst du auch Abbrechen.