# @lfk/documentation

The documentation for the LfK! 'Läufersystem'.
Powered by Vuepress.

The main language for the content is German (since our primary target audience is the Lauf für Kaya! Team at a local German school).

## Quickstart 🐳
> Use this to run the documentation server via docker.

1. Clone the repo or copy the docker-compose.yml
2. Cd into the folder containing the docker-compose.yml
2. Run docker-compose: `docker-compose up -d`
3. Visit http://127.0.0.1:8080/ to check if the server is running

## Dev Setup 🛠
> Local dev setup for previewing changes.

1. Install Dependencies
   ```bash
   yarn
   ```
2. Start the server
   ```bash
   yarn dev
   ```

## Recommended Editor

[Visual Studio Code](https://code.visualstudio.com/)

### Recommended Extensions

* will be automatically recommended via ./vscode/extensions.json