# Schnellstart
> Du willst das System schnell aufsetzen und testen? Dann bist du hier genau richtig!
> Um das System für produktive Zwecke einzusetzen schau dir bitte die [Installationsanleitung](./installation) an.

## Voraussetzungen
Alle der folgenden Anleitungen gehen davon aus, dass du bereits Docker und Docker-Compose installiert hast.
Die Installationsanleitungen dafür findest du hier:
* [Docker](https://docs.docker.com/get-docker/)
* [Docker-Compose](https://docs.docker.com/compose/install/)

## Das ganze System
> Du willst das ganze System (backend, fronten, document-server) schnell aufsetzen.

1. Klone das lfk/deployment git repo von: https://git.odit.services/lfk/deployment (oder lade es herunter)
2. Navigiere nach `docker-compose/full_stack`: `cd deployment/docker-compose/full_stack`
3. Starte das System mit `docker-compose up`
4. Nachdem alles gestartet ist ist kannst du das Frontend aufrufen: http://localhost:4010 (backend: http://localhost:4010/api/, document-server: http://localhost:4010/documents/)

Bei Bedarf können die Ports und andere Einstellungen im docker-compose.yml angepasst werden.