# Benutzergruppen

Als Admin kannst du Benutzergruppen anlegen und Benutzer:innen in diese Einsortieren.
Die Benutzer:innen erben dadurch die Berechtigungen aller Gruppen, in denen sie sind.

So kannst du z.B. alle Admins in die `ADMINS` Gruppe packen, anstatt jeder Benutzer:in langwierig alle Berechtigungen von Hand zuzuweisen.

## Anlegen
Um eine neue Benutzergruppe anzulegen öffne im Läufersystem die Seite `Benutzergruppen`.
Über den Button `Neue Gruppe erstellen` kannst du eine neue Benutzergruppe erstellen.
Dabei kannst du der Gruppe einen Namen und (optional) eine Beschreibung geben.

## Bearbeiten
Um eine Benutzergruppe zu bearbeiten kannst du in der Benutzergruppenübersicht den Button `Details` für die gewünschte Gruppe anklicken.
In der Übersicht für diese Benutzergruppe kannst du nun den Namen und die Beschreibung anpassen und Berechtigungen einsehen oder bearbeiten.
Wenn du fertig bist klick einfach auf `Änderungen speichern`.

### Berechtigungen
> Für die Berechtigung einer Benutzergruppe gibt es eine extra Seite.
Um die Berechtigungen einer Gruppe zu bearbeiten kannst du auf der Detailseite der Gruppe auf `Berechtigungen bearbeiten` klicken.
Auf der Berechtigungsseite gibt es zwei Spalten: `Verfügbare`(Berechtigungen, die die Gruppe nicht hat) und `Gewährt`(Berechtigungen, die die Gruppe hat).
Du kannst hier über die Buttons `+` und `-` die Berechtigungen erteilen oder wegnehmen.
Wenn du fertig bist klick einfach auf `Änderungen speichern`.

## Löschen
> Du kannst eine Benutzergruppe entweder aus der Benutzergruppenübersicht oder der Benutzergruppendetailansicht löschen.
> Dabei wird nur die Benutzergruppe samt Berechtigungen gelöscht, nicht ihre Benutzer:innen.

### In der Benutzergruppenübersicht
Klick bei der gewünschten Benutzergruppe auf den Button `Löschen`.
Daraufhin wirst du gefragt, ob du die Benutzergruppe wirklich löschen oder abbrechen willst.

### In der Benutzergruppendetailansicht
Klick bei der gewünschten Benutzergruppe auf den Button `Details`.
Oben auf der Seite gibt es jetzt den Knopf `Gruppe löschen`.
Daraufhin wirst du gefragt, ob du die Benutzergruppe wirklich löschen oder abbrechen willst.