# Läufer:innen

Läufer sind das Herzstück des Läufersystems.
Über sie werden Strecken erfasst und Spenden berechnet.

Läufer können einem [Team](./teams) oder einer [Organisation](./organizations) zugeordnet werden.

## Läuferübersicht
> Eine kurze Übersicht über die Funktionen der Läuferübersicht.

In der Läuferübersicht werden alle im System registrierten Läufer:innen aufgelistet.
Von hier aus kannst du einzelne Läufer:innen hinzufügen, bearbeiten oder löschen.

Um die Suche nach einzelnen Läufer:innen zu erleichtern gibt es einen Filter nach Teams und Organisationen.
Wenn du mehrere Teams/Organisationen in den Filter packst werden dir alle Läufer:innen angezeigt, die in einem/r der Teams/Organisationen registriert sind angezeigt.

Ebenso gibt es eine Suchfunktion mit Hilfe derer du nach Läufernamen, -IDs und Gruppen (Teams/Organisationen) suchen kannst.
Du eine ID eingibst wird dir nur die Läufer:in mit genau der ID angezeigt, solltest du alle Läufer:innen sehen wollen, deren IDs mit deiner Eingabe beginnen stelle ein `*` ans Ende der ID.

Beispiele:
* `Peter` -> Alle Läufer:innen mit Peter im Namen 
* `Gymnasium` -> Alle Läufer:innen, die in einer Gruppe mit dem Namen Gymnasium sind
* `421` -> Die Läufer:in mit der ID 421
* `42*` -> Alle Läufer:innen, deren ID mit 42 beginnt

## Aktionen

### Anlegen
> Achtung: Um eine Läufer:in anzulegen musst du vorher eine Organisation und/oder ein Team anlegen.

Um eine neue Läufer:in anzulegen öffne im Läufersystem die Seite `Läufer`.
Über den Button `Läufer:in hinzufügen` kannst du eine neue Läufer:in anlegen.
Dabei musst du einen Vornamen, Nachnamen und die Gruppe (Team/Organisation) festlegen.
Zusätzlich kannst du einen Mittelnamen(2. Vornamen), eine Telefonnummer und eine E-Mail Adresse angeben.

### Bearbeiten
Um eine Läufer:in zu bearbeiten kannst du in der Läuferübersicht den Button `Details` für die gewünschte Läufer:in anklicken.
In der Übersicht für die Läufer:in kannst du nun den Vornamen, Mittelnamen, Nachnamen, sowie die Telefonnummer, E-Mail Adresse und Gruppe bearbeiten.
Wenn du fertig bist klick einfach auf `Änderungen speichern`.

### Löschen
> Du kannst eine Läufer:in entweder aus der Läuferübersicht oder der Läuferdetailansicht löschen.

### In der Läuferübersicht
Klick bei der gewünschten Läufer:in auf den Button `Löschen`.
Daraufhin wirst du gefragt, ob du die Läufer:in wirklich löschen oder abbrechen willst.

### In der Läuferdetailansicht
Klick bei der gewünschten Läufer:in auf den Button `Details`.
Oben auf der Seite gibt es jetzt den Knopf `Läufer:in löschen`.
Daraufhin wirst du gefragt, ob du die Läufer:in wirklich löschen oder abbrechen willst.

## Import 
> Die Importanleitung findest du [hier](./runner_import)