# Scans

Scans sind das Herzstück der Kilometerzählung - sie verbinden [Läufer:innen](./runners) mit zurückgeleter Distantz.
Es gibt zwei Arten von Scans im System: "Festdistanzscans" und "Trackscans"

Festdistanzscans können nur von Benutzer:innen im Läufersystem angelegt werden und weisen einer Läufer:in eine feste Distanz zu.
Dies ist besonders nützlich, wenn Läufer:innen Karten auf halber Strecke verloren haben oder aus anderen Gründen einen Distanzbonus bekommen.

Trackscans hingegen können nur dadurch erzeugt werden, dass eine Scannerstation den Code der Karte einer Läufer:in scannen und so einen neuen Scan anlegen.
Die Trackscans sind immer Fest mit einer Läufer:in und einem [Track](./tracks) verbunden, von dem die Distanz abgeleitet wird.

## Anlegen
> Du kannst im Läufersystem nur Festdistanzscans anlegen.

Um einen neue Scan anzulegen öffne im Läufersystem die Seite `Scans`.
Über den Button `Scan erstellen` kannst du einen neuen Scan erstellen.
Dabei musst du dem Scan eine Läufer:in und eine Distanz in Metern zuweisen.
Sobald du alles angegeben hast kannst du über den Button `Erstellen` den Scan anlegen.

## Bearbeiten
Um einen Scan zu bearbeiten kannst du in der Scansübersicht den Button `Details` für den gewünschten Scananklicken.

### Festdistanzscans
Bei Festdistanzscans kannst du in der Scandetailansicht die Gültigkeit, Läufer:in und Distanz anpassen.
Wenn du fertig bist klick einfach auf `Änderungen speichern`.

### Trackscans
Bei Trackscans kannst du in der Scandetailansicht nur die Gültigkeit anpassen - alle anderen Werte sind fest im System hinterlegt.
Wenn du fertig bist klick einfach auf `Änderungen speichern`.

## Löschen
> Du kannst einen Scan entweder aus der Scansübersicht oder der Scandetailansicht löschen.
> Wir empfehlen grundsätzlich Scans lieber zu deaktiveren, als zu löschen, um menschlichen Fehlern vorzubeugen.

### In der Scansübersicht
Klick bei dem gewünschten Scan auf den Button `Löschen`.
Daraufhin wirst du gefragt, ob du den Scan wirklich löschen oder abbrechen willst.

### In der Scandetailansicht
Klick bei dem gewünschten Scannerstation auf den Button `Details`.
Oben auf der Seite gibt es jetzt den Knopf `Scan löschen`.
Daraufhin wirst du gefragt, ob du den Scannerstation wirklich löschen oder abbrechen willst.